-----------------------------------------------------------------------------
-----------------------------------------------------------------------------
local ModName, Sequences = ...
local GSE = GSE
---- PRINT MISSING GSE
	if GSE == nil then
	print("Addon requires GSE3. You can get it from Curseforge @https://www.curseforge.com/wow/addons/gse-gnome-sequencer-enhanced-advanced-macros")
	return;
	end
local L = GSE.L
local Statics = GSE.Static
local GSEPlugin = LibStub("AceAddon-3.0"):NewAddon(ModName, "AceEvent-3.0")
-----------------------------------------------------------------------------

if GSE.isEmpty(Sequences) then
  local Sequences = {}
end

-----------------------------------------------------------------------------

---- Put the macros here [[MACRO HERE]]
---- We are storing more detail to give more control.
---- To find the ClassID - /gse showspec will tell you what the ClassID and SpecID is for your character

Sequences["EA_FW_OB"] = {
    ["Macro"] = [[dye6faalsQBrvu2fvr1ViHHPQCmfTmI8mQQPrIUMkW2Gs(gsQghvPZPczDGc19av8pKKbcvQoisSqOupekmrvOUOkYgPkYhbfzKGI6KQOwjuP8sOQzIKYnPkStQ8tIkdfQ4OGczPKKNkmvqUkujBvf0xbL6TQsDxvj7v6VefdwKddzXQQESknzOOlJAZev9zqLgnrPtJuVgu1Sj0Tby3I63kmCvXXbLSCGEoIPR01b02bf03bf48emFsTFk3zHQB24efz8eSLroSRtQqnGqICEjnOsnvQPsnvQPsnvQPQbfGRSdWg4kdFEadYwIcWv2bydykoDidsOh568)uQSXPS8dWlJXaWdAr)0I0RqXUb1qKfxpyIwgZgsFsZpVZJM(tPP3gqYHrDh9n)(A4b6coifQUzHACicKg9lYKc1aplOIfzeHluDZgkUiYsyybKZx2sVVda)O9LLSKLazcVW5oa8Jwlzjv8fErMqYmHO2sNYGi4YyAjvmC5mdIw6rUBd8SaoGmHuO6MnuSiq4YlNzacw6DEilceWR3yYimFvNudfxezjmSaY5lBjlbYeEHZDa4hTwYsyilceUSAlLbkk2TBdk3LEKjfQUzHQB2W0MgplGditiM201j1qXfrwl9(oa8J2xwAILV03So)gM204zbvSiJiSPnDdiHhUbL7spYDRtQq1nluDZgM204zbCazcX0MUoPgkUiYsyybKZx2sVVda)O9LLSKLazcVW5oa8JwlzjjFVENQT0elVFQTK3dK86To)gM204zbvSiJiSPnDdiHhUbL7spYDRtQq1nByAtJNfWbKjetB66KAO4IilHHfqoFzl9(oa8J2xwYswcKj8cN7aWpATKLMEv6Jf1vBP5rFkpal1wA6vPpwuVo)gM204zbvSiJiSPnDdiHhUbL7spYDRZVq1nByAtJNfWbKjetB66KAO4IiRLEFha(r7ll5RuPK368ByAtJNfuXImIWM20nGeE4guUl9i3ToLfQUzdtBA8SaoGmHyAtxNudfxezT077aWpAFzjLyDKKY68ByAtJNfuXImIWM20nGeE4guUl9i3TbKWd3GAJXtdv8dJ26KAel)4jG57spYnWbKEasVcDRZVq1nByAtJNfWbKjetB66KAO4IiRLEFha(r7llnXYx6BwNFdtBA8SGkwKre20MUbKWd3GYDPh5UDBCo)dKwCpebsJ(fzsHAGXaWpAl2nGaPZWZ7Sy3acKodpVsf7UD72iE475JRB2a2mcEkabrKc1THh8IogTOc1aMzXhr6m8nKD3hcmwHIF6HNlsNHxblkVacydiKiNxsd)5033F2a2mcEkabrKc1TbKCyu3rFZVVguaUYoaBCsuEbeWgyiIiKZhx3SHhOmqK458YGWqoV0JCXUXPS8dWlJXaWdAr)0I0RqXUXXS8iGIBDZgWml(0qfWSLWDPd(aqmCZJbM0YtZGel5zwYjN7KHBnCiaCJtuKXtWwg5WUb1qKfxpyIwgZgsFsZpSM(sZdMh81iE475JRJ6snoFh5gNDhkJhNdmKbgHRtb0z5CEqrf(gWuC6qgKqpY15)Puz3UDBba]],
    ["SpecID"] = 72,
    ["ClassID"] = 1
}
Sequences["EA_PW_OB"] = {
    ["Macro"] = [[dqKBgaali1UerLFrqdtPCmrTmc9mbnnv01iGTPe(MsQghivNtGADcq3tPk)JcAGGK6GqYcHqpKanrLkUifyJuO4JGKmsruoPiYkfqEjentiOBkGANc9tiWqvIwkf5PunvqDvbWwvs5RcK3Quv3vPs7v6VGugmLomIfRK8yGMSiCzuBwf8zkunAvOtdvVMcz2Q0TPO2TQ8Bv1WfPJdsSCaphPPR46Gy7IOQVtHsNhkZNO9t6MlCJ56gGcAldcAiaXgflCDyYLFdTUHOneTHOneTHOneTH1rbzo(bQhGNrVVX(ulkiZXpqDOYnyngGI)FngUDEw3G3Hpail43CkziRWV4dwrSocj0jaPjidNOU4MyEd651ZcKf4CRomceSXG3YBB1dmbe4tlCJ5cxFncaoz1LPfUosgZeFzcLlCJ56cbj0rTRHdoFam1Acc9yN6izSLamLw4gZ1foeaJZd)yZyQD)3)ibWm63pbtsS7(jysIDBuSUqqcDOmuGWpqwTQfGP8S3qamopQvTcEKayCgTAFqU3gdRleKqh1UV5FIaspIFy2vTEkFVQ1eF4YGd()14zDHGe6O29n)teqYD2vT(rC(MqTbrU3oDQJcCW)pAHBmx4gZfUXCDvQsKm2saMsvPkBuSUqqcDOmuGWpqwTQfGP8Sh438kYOw1kggSOiA1Ui8mSXW6QuLizmt8LjuwLQSomwkxhf4G)FDAuSWnMRRsvIKXwcWuQkvzJI1fcsOdLHce(bYQvTamLN9a)Mxrg1Q2CWBNcSaTAffyHaOvBEb03qR285It0QnFU4SXW6QuLizmt8LjuwLQSomwkxhf4G)FDAmSWnMRRsvIKXwcWuQkvzJI1fcsOJAdppfHEJH1vPkrYyM4ltOSkvzDySuUokWb))604zHBmxxLQejJTeGPuvQYgfRleKqh1UpuNEjymWUQvue6blU1yyDvQsKmMj(YekRsvwhglLRJcCW)VonkqHBmxxLQejJTeGPuvQYgfRleKqh1MxekULBmSUkvjsgZeFzcLvPkRdJLY1rbo4)xNgxu4gZ1vPkrYylbykvLQSrX6cbj0HYqbc)az1QwaMYZEGFZRiJAvBoVydTAZBRlW6NOvBoVyRXW6QuLizmt8LjuwLQSomwkxhf4G)FDAC9c3yUUkvjsgBjatPQuLnkwxiiHougkq4hiRw1cWuE2d8BEfzuRAfddwueTAxeEg2yyDvQsKmMj(YekRsvwhglLRJcCW)Vo1HXs56i8)tRBItzY0OyDF4uJbYdCW)V6lbW)a4dwNo1t6Tcc(DwJaGtwDzAHRl438kYueRddG)mINCrSoma(ZiEelID60PUNYGjTtJ56bXeJqbbGqlCN6bMhYoKHu46jJVPx8Nr1potknGcfUc)NCx8Nrc57bmcK6WKl)gA9WColgMRBW7WhaKf8BoLmKv4x8bRiwhfK54hOUb3dyei1Hk3G1yak()1y425z9atEqi3KEddK88BW)VIy9GyIrOGaqOfUt9KX306MG8ululkWMzQgipzjzmWQ9WhqTEkFVQ1eF4YGd()PbcfcHv7HpGA9J48nHAdICVAGQJqcDcqAcYWjQlUjM3cZ5C(88mSEKyMRBakOTmiOHaeRVdFGa5onMR7Pmys7046H1HrGGng8wEBRUGxcLM0onM70Ptl]],
    ["SpecID"] = 73,
    ["ClassID"] = 1
}
Sequences["EA_AW_OB"] = {
    ["Macro"] = [[duK7faaljyxKq6xivdtIoMcldkptfnnK4Aks2MIY3KKACKKohjvRtrk9ofPY9ar(hOQbQivDqvyHQkEisYerkUiOYgvvsFuvPAKKqCsKuRurkEjOmtsc3eKYoj1pjPmufvlvs8uQMkGRss0wbj9vqI3ccUliv7v8xqudwPomKftIEmqtwrCzuBwsYNjHA0KGttuVgP0SjYTLq7wj)wvgUK64GqlxLEoIPl11vvTDvLY3vvIZdvZNW(PCgbi6rC4oG8buGSAFIglaXbqs8QjXHVa8fGVa8fGVa8fGp(XFRW7gxLlAxVVSS9XFRW7g)7oCqLVe53k6ZskuId3QQ3fKP6vSg1iLYsYnE(exfisRY6jOMNehReBuQ6q9bgLskJ4aQrv0QxoklJdne49rcq0JaehQORmsPetcqCymEfwIreoarpItherABdbWxrLOg62(JeAct63T40z7JVHA0nAS40brK22qa8vujQHUTPrMTTsCB3kW22)Y7ojDCym(8ltibi6rC6n6QyU5fxe32qy9uaDlwy9MWOjqhcty0eOhnwC6Gistyi(Zlq222(YeUHuJUkMBBBBQuaDvmxW2RFjP0PJFa2YVfjarpcq0Jae9iUjmbmgF(LjetyIOXItherABFsHcMQrFg3eMagJxHLyeHnHjIdGxZXpaB53kD0ybi6rCtycym(8ltiMWerJfNoiI02Em7eRCe9zCtycymEfwIre2eMioaEnh)aSLFR0rFgGOhXnHjGX4ZVmHyctenwC6GisB7QpvLs0NXnHjGX4vyjgrytyI4a41C8dWw(TshnLae9iUjmbmgF(LjetyIOXItherAcdXFEbY222xMWnKaFfvIABB7H6LuMAwbBpWWuNsbBpWWuNs0NXnHjGX4vyjgrytyI4a41C8dWw(Tsh9ubi6rCtycym(8ltiMWerJfNoiI0egI)8cKTTTVmHBib(kQe1222yZkRUu1c2EmR6r5urFg3eMagJxHLyeHnHjIdGxZXpaB53kD0Zcq0J4MWeWy85xMqmHjIgloDqePjme)5fiBBBFzc3qc8vujQTTThZuTSGTvLYurFg3eMagJxHLyeHnHjIdGxZXpaB53kD0vhGOhXnHjGX4ZVmHyctenwC6GisBBSzLZOCg9zCtycymEfwIre2eMioaEnh)aSLFR0XRW1mQJgloaEnhxfVxDCV56V(VaB53k(8R87k34PthN6LYFzPgQORmsPetcqCQEfvI68joWvErl3J8joWvErl3y5t60PJ71mi10e9iouyeTh)xejaPJdnUr0GAuaIRiSuTK8I24k0DnzAPtxP8trLKx0sNLQch9hhajXRMe)CGDEIHfNkjeHqnnrpIF83k8UXHtQkC0F8V7Wbv(sKFROplPqjoCRQExqMQxXAuJuklj345tCOWiAp(VisashxfisRY6jOMNehReBuEogJrj2ywCfHLQJx5Fz7PhBQsBA0QzBOPgnu)vQHRIhxJkYXH7aYhqbYQ9jonCvOFPo6rCVMbPMMOREehqnQIw9YrzzCOHw)ijQxnF)gVA53kFsNoDc]],
    ["SpecID"] = 71,
    ["ClassID"] = 1
}

-----------------------------------------------------------------------------

---- Because we know the names earlier we can dynamically figure out the names.
local macroNames = {}
-- For each k ("MACRO NAME") and v (the macro string and classid) do this loop
for k,v in pairs(Sequences) do
---- Add the name to the list of macroNames
    table.insert(macroNames, k)
end

-----------------------------------------------------------------------------

local function loadSequences(event, arg)
  if arg == ModName then
---- Force overwrite of macros ignoring the players merge preference
    for k,v in pairs(Sequences) do
        local localsuccess, uncompressedVersion = GSE.DecodeMessage(v.Macro)
        GSE.ReplaceMacro(v.ClassID, k, uncompressedVersion[2])
    end


---- Tell GSE to reload the new stuff
    GSE.PerformReloadSequences()


---- Print Success Message
    GSE.Print("Hello, " .. UnitName("player") .. " " .. UnitLevel("player") .. "  - Elfyau's Warrior Macro Set has been loaded.", ModName)
  end
end


if GSE.RegisterAddon(ModName, GetAddOnMetadata(ModName, "Version"), macroNames) then
  loadSequences("Load", ModName)
end

GSEPlugin:RegisterMessage(Statics.ReloadMessage,  loadSequences)
